AnsweredAssumed Answered

When testing my app on real Lolipop (API 21) device, app isn't working

Question asked by salihyalcin89 on Jun 1, 2015
Latest reply on Jun 12, 2015 by doneill-esristaff

Hello everyone I've been developing an app so far. Last weekend my test phone (Asus Zenfone 5) took Android Lolipop update, when I try to test my app at the my phone It gives me error; Error inflating mapview xml. But when I test app on the Kitkat version (4.4.2) It works without any error. How can I solve this issue ? Is this caused by my codes or Is this caused by Esri Android API?

 

Thanks everyone for patient.

 

Here is my LogCat;

logcat.png

 

And here my gradle file;

 

apply plugin: 'com.android.application'

android {

  compileSdkVersion 22
   buildToolsVersion "22.0.1"

   defaultConfig {

  applicationId "com.companyname
   minSdkVersion 15
   targetSdkVersion 22
   versionCode 1
   versionName "1.0"
   }

 

  buildTypes {

  release {

  minifyEnabled false
   proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
   }

  }

 

 

  packagingOptions {

  exclude 'META-INF/LGPL2.1'
   exclude 'META-INF/LICENSE'
   exclude 'META-INF/NOTICE'
   }

}

 

dependencies {

  compile fileTree(dir: 'libs', include: ['*.jar'])

  compile 'com.android.support:appcompat-v7:22.1.1'
   compile 'com.esri.arcgis.android:arcgis-android:10.2.6'


}

Outcomes